/* GKrellM Volume plugin Version 0.8
|  Copyright (C) 1999-2000 Sjoerd Simons
|
|  Author:  Sjoerd Simons  sjoerd@luon.net
|
|  This program is free software which I release under the GNU General Public
|  License. You may redistribute and/or modify this program under the terms
|  of that license as published by the Free Software Foundation; either
|  version 2 of the License, or (at your option) any later version.
|
|  This program is distributed in the hope that it will be useful,
|  but WITHOUT ANY WARRANTY; without even the implied warranty of
|  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
|  GNU General Public License for more details.
|
|  To get a copy of the GNU General Puplic License,  write to the
|  Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <gkrellm/gkrellm.h> 

#define VOLUME_MAJOR_VERSION 0
#define VOLUME_MINOR_VERSION 8

#define CONFIG_KEYWORD "volume_plugin_config"

#define LOCATION MON_APM 
/* The location of the plugin, choose between :
|*   MON_CLOCK, MON_CPU, MON_PROC, MON_DISK,
|*   MON_INET, MON_NET, MON_FS, MON_MAIL,       
|*   MON_APM, or MON_UPTIME                    
*/

/* the possible toggels */
#define MDCLOSE 	(1<<0)
#define MUTE		(1<<1)  
#define IS_MUTED 	(1<<2)
/* toggles for configuring */
#define MDCLOSE_CONFIG  (1<<3)
#define MUTE_CONFIG	(1<<4)

/* later added toggles, sequence isn't logical, but heh who considers 
   things that can be added later ;( */
#define SVOL          (1<<5) 
#define SVOL_CONFIG   (1<<6)

typedef struct Slider Slider; 

struct Slider	{
	Krell	*krell;
	int	dev;
	int     setting;
	Slider  *next; 
	Panel   *panel;
	} ; 

typedef struct {
   Slider 	*slider; 
   Krell  	*slider_in_motion;
   GtkWidget 	*panelbox;
   gchar 	*ext_mixer;
   gchar  *conf_ext_mixer;
   int 		fd; 
   int		toggles;
   int   	show_devices;
   int 		config_devices;
   int		toggle_signal;
   int 		config_signal;
   int 		wheeladjust;
   int  	config_wheeladjust;
}  Sliders  ;
